Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364579 - OpenCT needs existing upstream patch due to bug which was caused by pkcs-lite update
Summary: OpenCT needs existing upstream patch due to bug which was caused by pkcs-lite...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openct
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 19:54 UTC by Mark J. Cox
Modified: 2017-08-08 16:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:14:29 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2016-08-05 19:54:59 UTC
When upgrading from Fedora 22 to Fedora 24 my Alladin eToken stopped working. Using git bisect I traced it down to this commit;

https://anonscm.debian.org/cgit/pcsclite/PCSC.git/commit/?id=8eb9ea1b354b050f997d003cf3b0c5b56f29f9f7

This patch causes pcsc-lite to use a receive buffer size which is >64k.  This
isn't handled by the OpenCT pcsc driver which converts the dword size to a short.  So the buffer size wraps, isn't big enough for the response, and that's why the token isn't recognised.

This was already noticed by OpenCT and addressed in this "fix": 
https://github.com/OpenSC/openct/commit/3a3921d2c0e61197cb13b705aa86f3c67af26559

Therefore is it possible to provide an updated version of OpenCT which includes this patch from upstream?

Comment 1 Tomas Mraz 2016-08-08 09:24:53 UTC
Unfortunately OpenCT package is already retired in Fedora 24. Someone needs to take over its maintenance and unretire it if there is interest in it.

Comment 2 Fedora End Of Life 2017-07-25 22:16:18 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 16:14:29 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.